@import url("https://fonts.googleapis.com/css2?family=Inter:opsz,wght@14..32,100..900&display=swap");

@font-face {
    font-family: "Shift Light";
    src: url("../fonts/subset-Shift-Light.woff2") format("woff2"),
        url("../fonts/subset-Shift-Light.woff") format("woff");
    font-weight: 300;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: "Shift Book";
    src: url("../fonts/subset-Shift-Book.woff2") format("woff2"),
        url("../fonts/subset-Shift-Book.woff") format("woff");
    font-weight: normal;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: "Shift";
    src: url("../fonts/subset-Shift-Medium.woff2") format("woff2"),
        url("../fonts/subset-Shift-Medium.woff") format("woff");
    font-weight: 500;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: "Shift Italic";
    src: url("../fonts/subset-Shift-MediumItalic.woff2") format("woff2"),
        url("/..fonts/subset-Shift-MediumItalic.woff") format("woff");
    font-weight: 500;
    font-style: italic;
    font-display: swap;
}

@font-face {
    font-family: "Shift Bold";
    src: url("../fonts/subset-Shift-Bold.woff2") format("woff2"),
        url("../fonts/subset-Shift-Bold.woff") format("woff");
    font-weight: bold;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: "Shift Black";
    src: url("../fonts/subset-Shift-Black.woff2") format("woff2"),
        url("../fonts/subset-Shift-Black.woff") format("woff");
    font-weight: 900;
    font-style: normal;
    font-display: swap;
}

.light {
    font-family: "Shift Light", serif;
}

.book {
    font-family: "Shift Book", serif;
}

.bold {
    font-family: "Shift Bold", serif;
}

.inter-regular {
    font-family: "Inter", sans-serif;
    font-optical-sizing: auto;
    font-weight: 400;
    font-style: normal;
}

.inter-bold {
    font-family: "Inter", sans-serif;
    font-optical-sizing: auto;
    font-weight: 600;
    font-style: normal;
}

.uppercase {
    text-transform: uppercase;
}

.font-size-m0 {
    font-size: var(--font-size-m0);
    line-height: var(--line-height-default);
}

.font-size-m1 {
    font-size: var(--font-size-m1);
    line-height: var(--line-height-default);
}

.font-size-m2 {
    font-size: var(--font-size-m2);
    line-height: var(--line-height-default);
}

.font-size-m3 {
    font-size: var(--font-size-m3);
    line-height: var(--line-height-default);
}

.font-size-t0 {
    font-size: var(--font-size-t0);
    line-height: var(--line-height-default);
}

.font-size-t1 {
    font-size: var(--font-size-t1);
    line-height: var(--line-height-default);
}

.font-size-t2 {
    font-size: var(--font-size-t2);
    line-height: var(--line-height-default);
}

.font-size-t3 {
    font-size: var(--font-size-t3);
    line-height: var(--line-height-default);
}

.font-size-nav {
    font-size: var(--font-size-nav);
    line-height: var(--line-height-default);
}

.font-size-h1 {
    font-size: var(--font-size-h1);
    line-height: var(--line-height-default);
    font-family: "Shift Black", serif;
}

.font-size-h2 {
    font-size: var(--font-size-h2);
    line-height: var(--line-height-default);
    font-family: "Shift Black", serif;
}

.font-size-h3 {
    font-size: var(--font-size-h3);
    line-height: var(--line-height-default);
}
